Page MenuHomePhabricator

debugcommands: add a `--paranoid` option to `debug-repair-issue-6528`
ClosedPublic

Authored by Alphare on Aug 6 2021, 6:12 AM.

Details

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Aug 6 2021, 6:12 AM
marmoute requested changes to this revision.Aug 6 2021, 6:53 AM
marmoute added a subscriber: marmoute.
marmoute added inline comments.
mercurial/revlogutils/rewrite.py
728–729

This should be an Abort since we are sending this to the User.

This revision now requires changes to proceed.Aug 6 2021, 6:53 AM
Alphare updated this revision to Diff 29837.Aug 6 2021, 1:50 PM
marmoute accepted this revision.Aug 6 2021, 5:36 PM
marmoute updated this revision to Diff 29842.Aug 7 2021, 6:13 AM
baymax updated this revision to Diff 29845.Aug 7 2021, 9:47 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)
⚠ This patch is intended for stable ⚠

baymax updated this revision to Diff 29857.Aug 7 2021, 6:09 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)
⚠ This patch is intended for stable ⚠

pulkit accepted this revision.Aug 10 2021, 8:17 AM
This revision is now accepted and ready to land.Aug 10 2021, 8:17 AM